<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.31
Name: Resultatgruppe (lrtp)
Description: Der Laboratory Battery Organizer erlaubt gemäss IHE XD-LAB die Gruppierung von Resultaten. Für Laborbefunde im Transplantationsprozess in der Schweiz muss mindestens eine Resultatgruppe mit mindestens einem Resultat angegeben werden. Die Gruppierung von mehreren Resultaten in mehrere Resultatgruppen ist erlaubt. Dieses Element wird wie nachfolgend beschrieben ausgefüllt (fix codiert, keine dynamischen Inhalte). Die eigentlichen Resultate werden mit observation deklariert.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000">
   <title>Resultatgruppe (lrtp)</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]
Item: (Resultatgruppelrtp)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]
Item: (Resultatgruppelrtp)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]"
         id="d120e3025-false-d25574e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31'])&gt;=1">(Resultatgruppelrtp): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31'])&lt;=1">(Resultatgruppelrtp): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'])&gt;=1">(Resultatgruppelrtp): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'])&lt;=1">(Resultatgruppelrtp): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted'][not(@nullFlavor)])&gt;=1">(Resultatgruppelrtp): element hl7:statusCode[@code='completed' or @code='aborted'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted'][not(@nullFlavor)])&lt;=1">(Resultatgruppelrtp): element hl7:statusCode[@code='completed' or @code='aborted'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Resultatgruppelrtp): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:author)&gt;=1">(Resultatgruppelrtp): element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="count(hl7:author)&lt;=1">(Resultatgruppelrtp): element hl7:author appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']
Item: (Resultatgruppelrtp)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']"
         id="d120e3027-false-d25774e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultatgruppelrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.10.4.31')">(Resultatgruppelrtp): The value for @root SHALL be '2.16.756.5.30.1.127.10.4.31'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']
Item: (Resultatgruppelrtp)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']"
         id="d120e3032-false-d25792e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultatgruppelrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.3.1.4')">(Resultatgruppelrtp): The value for @root SHALL be '1.3.6.1.4.1.19376.1.3.1.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:statusCode[@code='completed' or @code='aborted'][not(@nullFlavor)]
Item: (Resultatgruppelrtp)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:statusCode[@code='completed' or @code='aborted'][not(@nullFlavor)]"
         id="d120e3037-false-d25810e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultatgruppelrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(Resultatgruppelrtp): The element value SHALL be one of 'code 'completed' or code 'aborted''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime
Item: (Resultatgruppelrtp)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:effectiveTime"
         id="d120e3047-false-d25833e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultatgruppelrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="not(*)">(Resultatgruppelrtp): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:author
Item: (Resultatgruppelrtp)
-->


   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.31
Context: *[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]
Item: (Resultatgruppelrtp)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]]/hl7:organizer[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.31']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.4']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(Resultatgruppelrtp): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
