<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.32
Name: Laborresultat (lrtp)
Description: Ein Laborbefund im Transplantationsprozess MUSS mindestens ein Laborresultat enthalten, welches mit diesem Element deklariert wird. Jedes Laborresultat MUSS dabei aus einem Code und der Interpretation des Messresultates bestehen. Je nach Art des Resultates KANN ein Wert angegeben werden. 
                 Code 
                 Das BAG stellt eine Liste von LOINC Codes zur Verfügung, welche für Laborbefunde im Transplantationsprozess eingesetzt werden können (BAG Value Set). Sonderfälle stellen Erregernachweise, die HLA-Typisierung und der Nachweis von HLA-Antikörpern mittels Luminex dar: Gewisse Erregernachweise können mit LOINC nicht eindeutig gekennzeichnet werden. Solche Erregernachweise müssen in einer zweiten Observation im gleichen Laboratory Battery Organizer mit einem entsprechenden Code aus einem anderen Codesystem (z.B. SNOMED CT) präzisiert werden. Die HLA Typisierung erfolgt heute (2013) molekularbiologisch und zusätzlich teilweise auch serologisch. Die Bezeichnung der All
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000">
   <title>Laborresultat (lrtp)</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]"
         id="d120e3072-false-d26031e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])&gt;=1">(Laborresultatlrtp): element hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])&lt;=1">(Laborresultatlrtp): element hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]"
         id="d120e3159-false-d26057e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@classCode)=('OBS')">(Laborresultatlrtp): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@moodCode)=('EVN')">(Laborresultatlrtp): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32'])&gt;=1">(Laborresultatlrtp): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32'])&lt;=1">(Laborresultatlrtp): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&gt;=1">(Laborresultatlrtp): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&lt;=1">(Laborresultatlrtp): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:id)&lt;=1">(Laborresultatlrtp): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&gt;=1">(Laborresultatlrtp): element hl7:code[@codeSystem=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&lt;=1">(Laborresultatlrtp): element hl7:code[@codeSystem=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Laborresultatlrtp): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Laborresultatlrtp): element hl7:statusCode[@code='completed'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Laborresultatlrtp): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Laborresultatlrtp): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='CD'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$elmcount&lt;=1">(Laborresultatlrtp): choice (hl7:value[@xsi:type='PQ'] or hl7:value[@xsi:type='CD']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10206-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Laborresultatlrtp): element hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10206-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:referenceRange)&lt;=1">(Laborresultatlrtp): element hl7:referenceRange appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']"
         id="d120e3165-false-d26260e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.10.4.32')">(Laborresultatlrtp): The value for @root SHALL be '2.16.756.5.30.1.127.10.4.32'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']"
         id="d120e3170-false-d26278e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.3.1.6')">(Laborresultatlrtp): The value for @root SHALL be '1.3.6.1.4.1.19376.1.3.1.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:id
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:id"
         id="d120e3175-false-d26296e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:code[@codeSystem=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:code[@codeSystem=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor=doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]"
         id="d120e3182-false-d26314e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]) or exists(doc('include/voc-2.16.756.5.30.1.127.11.21-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborresultatlrtp): The element value SHALL be one of '2.16.756.5.30.1.129.1.1.3 Laborbeobachtungen (DYNAMIC) or 2.16.756.5.30.1.127.11.21 Laborwerte (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.756.5.30.1.129.1.1.3-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Laborresultatlrtp): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.756.5.30.1.129.1.1.3 Laborbeobachtungen (DYNAMIC) or 2.16.756.5.30.1.127.11.21 Laborwerte (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d120e3203-false-d26350e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or (@code='completed')">(Laborresultatlrtp): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:effectiveTime
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:effectiveTime"
         id="d120e3211-false-d26370e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(*)">(Laborresultatlrtp): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(@value, '^[0-9]{12}')">(Laborresultatlrtp): Datum und Tageszeit mit Stunde und Minute erforderlich</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='PQ']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='PQ']"
         id="d120e3233-false-d26384e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$digitok or @nullFlavor">(Laborresultatlrtp): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Laborresultatlrtp): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='CD']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value[@xsi:type='CD']"
         id="d120e3243-false-d26405e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10206-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:interpretationCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10206-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d120e3254-false-d26425e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10206-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborresultatlrtp): The element value SHALL be one of '2.16.840.1.113883.1.11.10206 ObservationInterpretationNormality (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (Laborresultatlrtp)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@typeCode)=('COMP')">(Laborresultatlrtp): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]
Item: (Laborresultatlrtp)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@typeCode)=('COMP')">(Laborresultatlrtp): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange"
         id="d120e3279-false-d26562e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@typeCode)=('REFV')">(Laborresultatlrtp): The value for @typeCode SHALL be 'REFV'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)])&gt;=1">(Laborresultatlrtp): element hl7:observationRange[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)])&lt;=1">(Laborresultatlrtp): element hl7:observationRange[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]"
         id="d120e3320-false-d26588e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@classCode)=('OBS')">(Laborresultatlrtp): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="string(@moodCode)=('EVN.CRT')">(Laborresultatlrtp): The value for @moodCode SHALL be 'EVN.CRT'.</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='IVL_INT'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="$elmcount&lt;=1">(Laborresultatlrtp): choice (hl7:value[@xsi:type='IVL_PQ'] or hl7:value[@xsi:type='IVL_INT']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(Laborresultatlrtp): element hl7:value[@xsi:type='IVL_PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:value[@xsi:type='IVL_INT'])&lt;=1">(Laborresultatlrtp): element hl7:value[@xsi:type='IVL_INT'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')][not(@nullFlavor)])&gt;=1">(Laborresultatlrtp): element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')][not(@nullFlavor)])&lt;=1">(Laborresultatlrtp): element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')][not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_PQ']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_PQ']"
         id="d120e3328-false-d26637e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_PQ' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low)&gt;=1">(Laborresultatlrtp): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low)&lt;=1">(Laborresultatlrtp): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high)&gt;=1">(Laborresultatlrtp): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high)&lt;=1">(Laborresultatlrtp): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_PQ']/hl7:low
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_PQ']/hl7:low"
         id="d120e3335-false-d26688e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@value">(Laborresultatlrtp): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): Attribute @value is not a valid real number <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@unit">(Laborresultatlrtp): attribute @unit SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_PQ']/hl7:high
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_PQ']/hl7:high"
         id="d120e3353-false-d26713e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_PQ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@value">(Laborresultatlrtp): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Laborresultatlrtp): Attribute @value is not a valid real number <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@unit">(Laborresultatlrtp): attribute @unit SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_INT']
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_INT']"
         id="d120e3372-false-d26735e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_INT"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_INT' and $xsiLocalNS='urn:hl7-org:v3')">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "IVL_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low)&gt;=1">(Laborresultatlrtp): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:low)&lt;=1">(Laborresultatlrtp): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high)&gt;=1">(Laborresultatlrtp): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="count(hl7:high)&lt;=1">(Laborresultatlrtp): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_INT']/hl7:low
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_INT']/hl7:low"
         id="d120e3379-false-d26777e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_INT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@value">(Laborresultatlrtp): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(Laborresultatlrtp): Attribute @value is not a valid int number <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@unit">(Laborresultatlrtp): attribute @unit SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_INT']/hl7:high
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:value[@xsi:type='IVL_INT']/hl7:high"
         id="d120e3397-false-d26802e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_INT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@value">(Laborresultatlrtp): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(Laborresultatlrtp): Attribute @value is not a valid int number <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@unit">(Laborresultatlrtp): attribute @unit SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.32
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')][not(@nullFlavor)]
Item: (Laborresultatlrtp)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.32']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83')][not(@nullFlavor)]"
         id="d120e3417-false-d26827e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborresultatlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(Laborresultatlrtp): The element value SHALL be one of 'code 'N' codeSystem '2.16.840.1.113883.5.83''.</assert>
   </rule>
</pattern>
