<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.33
Name: SOAS Info
Description: Diese Beobachtung dient dazu, SOAS-spezifische Informationen zu einem HLA-Wert zu deklarieren. Für jeden HLA-Antikörper MUSS sowohl Center specific Avoid als auch Previous TX angegeben werden. Prev-Tx=true bedeutet, dass der betreffende HLA-Antikörper aufgrund einer früheren Transplantation gebildet wurde. Center specific Avoid=true bedeutet, dass aufgrund des betreffende HLA-Antikörpers von einer Transplantation abgesehen werden soll, auch wenn sein MFI-Wert noch im akzeptablen Bereich liegt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000">
   <title>SOAS Info</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]
Item: (SOASInfo)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]"
         id="d120e3465-false-d26870e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@classCode)=('OBS')">(SOASInfo): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@moodCode)=('EVN')">(SOASInfo): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="not(@nullFlavor) or hl7:code[@code='002']">(SOASInfo): Nur bei Previous TX (code 002) kann der Wert unbekannt (nullFlavor) sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33'])&gt;=1">(SOASInfo): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33'])&lt;=1">(SOASInfo): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'])&gt;=1">(SOASInfo): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'])&lt;=1">(SOASInfo): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(SOASInfo): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(SOASInfo): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(SOASInfo): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(SOASInfo): element hl7:statusCode[@code='completed'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:value)&gt;=1">(SOASInfo): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:value)&lt;=1">(SOASInfo): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']"
         id="d120e3471-false-d26950e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.10.4.33')">(SOASInfo): The value for @root SHALL be '2.16.756.5.30.1.127.10.4.33'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1']
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1']"
         id="d120e3476-false-d26968e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.4.1')">(SOASInfo): The value for @root SHALL be '2.16.756.5.30.1.1.1.1.3.4.1'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@extension)=('CDA-CH.LRTP.SOASInfo')">(SOASInfo): The value for @extension SHALL be 'CDA-CH.LRTP.SOASInfo'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d120e3483-false-d26992e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(SOASInfo): The element value SHALL be one of '2.16.756.5.30.1.127.11.19 SOASInfo (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d120e3489-false-d27017e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="@nullFlavor or (@code='completed')">(SOASInfo): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:value
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.33']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.SOASInfo']]/hl7:value"
         id="d120e3494-false-d27037e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20170620T101201/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3')">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
